Bug 142926 - multiple problems with ntpd init.d script
multiple problems with ntpd init.d script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2004-12-14 19:45 EST by James Ralston
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0393
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 14:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for /etc/rc.d/init.d/ntpd (1.14 KB, patch)
2004-12-14 19:47 EST, James Ralston
no flags Details | Diff

  None (edit)
Description James Ralston 2004-12-14 19:45:02 EST
The ntpd init.d script tries to take what was specified for the ntpd
-u option and pass it to ntpdate as the -U option.  This will fail if
the ntpd -u option specified an (optional) group.

The chroot option changed from -T to -i.

If the -i option is used, ntpd now looks for the configuration file
*before* it calls chroot().  Therefore, adjusting $ntpconf based on
the chroot value is wrong.

$ntpstep should be with $ntpconf; that is, outside of the chroot. 
Therefore, there is no need to pay attention to the -i option at all.
Comment 1 James Ralston 2004-12-14 19:47:25 EST
Created attachment 108583 [details]
patch for /etc/rc.d/init.d/ntpd

This patch fixes all of the problems detailed in comment #1.
Comment 2 James Ralston 2004-12-14 19:48:52 EST
Errr, the patch fixes all of the problems detailed in the initial bug
description, that is.
Comment 8 Red Hat Bugzilla 2006-08-10 14:24:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0393.html

Note You need to log in before you can comment on or make changes to this bug.